
--/callluafunc </F>User_PlayPlot</N>10


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(33, 38)
CppScriptMgr:SetLightScreen(1000)
local npc = CppScriptMgr:AddSimplePlayer(1058523,33, 38,'Kosuke',4003000071,1)
local ninja1 = CppScriptMgr:AddSimplePlayer(1058257,30,35,'WaterlandNinja',4003000072,1)
local ninja2 = CppScriptMgr:AddSimplePlayer(1058254,32,41,'WaterlandNinja',4003000073,1)
local ninja3 = CppScriptMgr:AddSimplePlayer(1058252,35,37,'WaterlandNinja',4003000074,1)
--设置三个打1个被反杀
CppScriptMgr:WaitMilSec(3000)
npc:SetLook(58523)
npc:SetAction(401)
CppScriptMgr:WaitMilSec(500)
ninja1:SetAction(330)
npc:SetLook(58520)
npc:SetAction(401)
CppScriptMgr:WaitMilSec(500)
ninja1:SetPos(500, 500);
ninja2:SetAction(330)
npc:SetLook(58526)
npc:SetAction(401)
--死亡动作1秒
CppScriptMgr:WaitMilSec(500)
ninja2:SetPos(500, 500);
ninja3:SetAction(330)
CppScriptMgr:WaitMilSec(500)
ninja3:SetPos(500, 500);
CppScriptMgr:WaitMilSec(1000)
npc:SetAction(150)

CppScriptMgr:SetDarkScreen(3000);
CppScriptMgr:WaitMilSec(3000)

---------------------------------------------------------


